Page MenuHomePhabricator

[OpenMP] support build on msys2/mingw with clang or gcc
ClosedPublic

Authored by adrpo on Jun 12 2020, 4:33 PM.

Details

Summary

RTM Adaptive Locks are supported on msys2/mingw for clang and gcc.

Diff Detail

Event Timeline

adrpo created this revision.Jun 12 2020, 4:33 PM
Herald added a project: Restricted Project. · View Herald Transcript

Can we test this somehow? Otherwise it looks straight forward.

Can we test this somehow? Otherwise it looks straight forward.

This was tested for some time now in the msys2/mingw llvm package to build openmp:
https://github.com/adrpo/MINGW-packages/commit/9633f096361d575f7de4891a5d485fec2888311e
If there is a CI with msys2/mingw available we could test on that.

This revision is now accepted and ready to land.Jun 15 2020, 1:56 PM

Are there any estimates on when this will be merged?

This revision was automatically updated to reflect the committed changes.
mstorsjo added a subscriber: hans.Aug 4 2020, 1:17 PM

@hans - I think this one might be cherrypick-worthy as well

hans added a comment.Aug 5 2020, 10:35 AM

@hans - I think this one might be cherrypick-worthy as well

Pushed to 11.x as 280653d2ea4a40f2968b3f4662aa7c6d254c6cb9. Thanks!